Download it now!
Bug 38779 - Position of text boxes not retained when opening MS Office .doc files FORMATTING problem
Summary: Position of text boxes not retained when opening MS Office .doc files FORMATT...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
Depends on:
Blocks: DOC-Frames
  Show dependency treegraph
 
Reported: 2011-06-29 09:47 UTC by Ian Stuart
Modified: 2018-12-03 03:59 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Shows text boxes misaligned (305.00 KB, application/msword)
2011-06-29 09:47 UTC, Ian Stuart
Details
The same document saved as PDF using msWord 2007 (85.99 KB, application/pdf)
2012-09-21 11:54 UTC, sasha.libreoffice
Details
Letterhead with image and textbox at top of page (242.00 KB, application/msword)
2012-12-04 14:27 UTC, Ian Stuart
Details
the same document, saved as PDF in msWord 2007 (38.58 KB, application/pdf)
2012-12-05 09:21 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Stuart 2011-06-29 09:47:51 UTC
Created attachment 48565 [details]
Shows text boxes misaligned

When opening a Microsoft document with LibO 3.3.1, 3.3.2, 3.4.0 or 3.4.1RC3 on Linux or Windows the page format is not maintained such that text boxes are misaligned.

OpenOffice.org 3.3.0 seems to do a reasonable job of maintaining margins/positions and placing the text boxes almost correctly.  I hope that drawing comparisons between the two apps will help.

The document "header" (not in a heading area) contains 3 text boxes and one image.


When viewing the position of the leftmost text box in OpenOffice it shows the horizontal position from left as -0.10" to Paragraph area

whereas:

LibO seems to interpret the horizontal position as 0.00" from left to Entire Page resulting in the text box moving to the left.

In OpenOffice the horizontal position of the rightmost text box is positioned 4.86" from left to Paragraph area

whereas:

In LibO the rightmost text box is positioned 4.86" from left to Entire Page


There seems to be differences in interpreting the MS format.
Comment 1 Björn Michaelsen 2011-12-23 12:23:36 UTC Comment hidden (obsolete)
Comment 2 Florian Reisinger 2012-08-14 13:59:26 UTC Comment hidden (obsolete)
Comment 3 Florian Reisinger 2012-08-14 14:00:38 UTC Comment hidden (obsolete)
Comment 4 Florian Reisinger 2012-08-14 14:05:20 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 14:07:22 UTC Comment hidden (obsolete)
Comment 6 sasha.libreoffice 2012-09-21 11:54:03 UTC
Created attachment 67495 [details]
The same document saved as PDF using msWord 2007
Comment 7 sasha.libreoffice 2012-09-21 11:55:47 UTC
I can not find differences between pdf and doc on 3.6.1 on Fedora 64 bit
IMHO status should be WFM
Comment 8 sasha.libreoffice 2012-12-04 05:10:59 UTC
Changing to WFM

@  Ian Stuart 
Please, reopen this bug if problem remains
Comment 9 Ian Stuart 2012-12-04 14:27:07 UTC
Created attachment 70998 [details]
Letterhead with image and textbox at top of page

Text box in MS Word document not correctly aligned using Libreoffice 3.5.  The attachment is a document with a text box that is displayed incorrectly aligned to the left margin of the page with Libreoffice as opposed to aligned correctly when opened with MS Word.
Comment 10 sasha.libreoffice 2012-12-05 09:21:04 UTC
Created attachment 71024 [details]
the same document, saved as PDF in msWord 2007
Comment 11 sasha.libreoffice 2012-12-05 09:34:50 UTC
Thanks for attachment
Reproduced with last attached doc file 
in 3.4.2 on Windows XP 32 bit
in 3.5.7 and 3.6.3 on RFR 17 64 bit

Header contains frame with text. It's position is -0.27cm to right from column.
Writer haves no such option for horizontal aligning. Opens incorrectly.
Comment 12 Joel Madero 2015-05-02 15:43:15 UTC Comment hidden (obsolete)
Comment 13 Buovjaga 2015-06-21 11:00:21 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 14 QA Administrators 2016-09-20 10:10:16 UTC Comment hidden (obsolete)
Comment 15 Telesto 2016-12-06 12:52:13 UTC
Reproduced with:
Version: 5.4.0.0.alpha0+
Build ID: 33f5bc54aaa7fe7aa9335726e30f9c349155e04d
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-12-01_23:21:05
Locale: nl-NL (nl_NL); Calc: CL
Comment 16 Xisco Faulí 2017-07-13 10:51:25 UTC
Setting Assignee back to default. Please assign it back to yourself if you're
still working on this issue
Comment 17 Ekansh Jha 2017-12-01 09:09:47 UTC
I want to work on this issue, please tell me the code pointer.
Comment 18 QA Administrators 2018-12-03 03:59:27 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug